Subject: Re: bug#41618: 28.0.50; Can't byte-compile an edebugged macro

From: Alan Mackenzie <[email-masked]>
Date: Sun, 31 May 2020 17:41:53 +0000

Hello, Eli.

On Sun, May 31, 2020 at 20:08:17 +0300, Eli Zaretskii wrote:
> > Date: 31 May 2020 17:01:19 -0000
> > From: Alan Mackenzie <[email-masked]>
> > Cc: [email-masked]

> > I've committed a fix to the emacs-27 branch

> Thanks, but why to emacs-27?  Is this bug a regression from Emacs 26?

It was difficult to decide, but emacs-27 seemed right; the bug was
almost certainly a regression from Emacs 26, the erroneous commit having
been made on 2019-07-27.  Also the fix was utterly safe, having been
exhaustively tested (i.e. make bootstrap worked).

> If not, it doesn't sound to me like a problem that should be fixed
> urgently, the use case is not really that frequent, and there's an
> easy workaround.

It produced an obscure error message, for which only somebody in the know
would be able to apply a workaround.

> I'd prefer not to push anything to emacs-27 that doesn't absolutely
> have to be there.

OK.  I've felt a bit unclear about this over the past few weeks.

-- 
Alan Mackenzie (Nuremberg, Germany).